local PrincessTower = ...

-- Register all building parts and their properties
PrincessTower:dofile("scripts/princessTower.lua")

-- Register the monument
PrincessTower:register({
	DataType = "MONUMENT",
	Id = "PRINCESS_TOWER_MONUMENT",
	Name = "PRINCESS_TOWER_MONUMENT_NAME",
	Description = "PRINCESS_TOWER_MONUMENT_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{
			Name = "PRINCESS_TOWER_MONUMENT_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "PRINCESS_TOWER_ROOT_PART"
	                }
                }
        },
	RequiredPartList = {
		-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
		{ Category = "CORE", Quantity = 1 }
	},
        IsEditable = true
})